<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="..\..\stlport\assert.h" />
    <ClInclude Include="..\..\stlport\ctype.h" />
    <ClInclude Include="..\..\stlport\errno.h" />
    <ClInclude Include="..\..\stlport\exception.h" />
    <ClInclude Include="..\..\stlport\float.h" />
    <ClInclude Include="..\..\stlport\fstream.h" />
    <ClInclude Include="..\..\stlport\iomanip.h" />
    <ClInclude Include="..\..\stlport\ios.h" />
    <ClInclude Include="..\..\stlport\iostream.h" />
    <ClInclude Include="..\..\stlport\iso646.h" />
    <ClInclude Include="..\..\stlport\istream.h" />
    <ClInclude Include="..\..\stlport\limits.h" />
    <ClInclude Include="..\..\stlport\locale.h" />
    <ClInclude Include="..\..\stlport\math.h" />
    <ClInclude Include="..\..\stlport\mem.h" />
    <ClInclude Include="..\..\stlport\new.h" />
    <ClInclude Include="..\..\stlport\ostream.h" />
    <ClInclude Include="..\..\stlport\pthread.h" />
    <ClInclude Include="..\..\stlport\rlocks.h" />
    <ClInclude Include="..\..\stlport\setjmp.h" />
    <ClInclude Include="..\..\stlport\signal.h" />
    <ClInclude Include="..\..\stlport\stdarg.h" />
    <ClInclude Include="..\..\stlport\stddef.h" />
    <ClInclude Include="..\..\stlport\stdio.h" />
    <ClInclude Include="..\..\stlport\stdiostream.h" />
    <ClInclude Include="..\..\stlport\stdlib.h" />
    <ClInclude Include="..\..\stlport\stl\boost_type_traits.h" />
    <ClInclude Include="..\..\stlport\stl\char_traits.h" />
    <ClInclude Include="..\..\stlport\stl\concept_checks.h" />
    <ClInclude Include="..\..\stlport\stl\c_locale.h" />
    <ClInclude Include="..\..\stlport\stl\msl_string.h" />
    <ClInclude Include="..\..\stlport\stl\type_manips.h" />
    <ClInclude Include="..\..\stlport\stl\type_traits.h" />
    <ClInclude Include="..\..\stlport\stl\_abbrevs.h" />
    <ClInclude Include="..\..\stlport\stl\_algo.h" />
    <ClInclude Include="..\..\stlport\stl\_algobase.h" />
    <ClInclude Include="..\..\stlport\stl\_alloc.h" />
    <ClInclude Include="..\..\stlport\stl\_auto_ptr.h" />
    <ClInclude Include="..\..\stlport\stl\_bitset.h" />
    <ClInclude Include="..\..\stlport\stl\_bvector.h" />
    <ClInclude Include="..\..\stlport\stl\_carray.h" />
    <ClInclude Include="..\..\stlport\stl\_cctype.h" />
    <ClInclude Include="..\..\stlport\stl\_clocale.h" />
    <ClInclude Include="..\..\stlport\stl\_cmath.h" />
    <ClInclude Include="..\..\stlport\stl\_codecvt.h" />
    <ClInclude Include="..\..\stlport\stl\_collate.h" />
    <ClInclude Include="..\..\stlport\stl\_complex.h" />
    <ClInclude Include="..\..\stlport\stl\_config_compat_post.h" />
    <ClInclude Include="..\..\stlport\stl\_construct.h" />
    <ClInclude Include="..\..\stlport\stl\_cprolog.h" />
    <ClInclude Include="..\..\stlport\stl\_csetjmp.h" />
    <ClInclude Include="..\..\stlport\stl\_csignal.h" />
    <ClInclude Include="..\..\stlport\stl\_cstdarg.h" />
    <ClInclude Include="..\..\stlport\stl\_cstddef.h" />
    <ClInclude Include="..\..\stlport\stl\_cstdio.h" />
    <ClInclude Include="..\..\stlport\stl\_cstdlib.h" />
    <ClInclude Include="..\..\stlport\stl\_cstring.h" />
    <ClInclude Include="..\..\stlport\stl\_ctime.h" />
    <ClInclude Include="..\..\stlport\stl\_ctraits_fns.h" />
    <ClInclude Include="..\..\stlport\stl\_ctype.h" />
    <ClInclude Include="..\..\stlport\stl\_cwchar.h" />
    <ClInclude Include="..\..\stlport\stl\_cwctype.h" />
    <ClInclude Include="..\..\stlport\stl\_deque.h" />
    <ClInclude Include="..\..\stlport\stl\_epilog.h" />
    <ClInclude Include="..\..\stlport\stl\_exception.h" />
    <ClInclude Include="..\..\stlport\stl\_facets_fwd.h" />
    <ClInclude Include="..\..\stlport\stl\_fstream.h" />
    <ClInclude Include="..\..\stlport\stl\_function.h" />
    <ClInclude Include="..\..\stlport\stl\_function_adaptors.h" />
    <ClInclude Include="..\..\stlport\stl\_function_base.h" />
    <ClInclude Include="..\..\stlport\stl\_hashtable.h" />
    <ClInclude Include="..\..\stlport\stl\_hash_fun.h" />
    <ClInclude Include="..\..\stlport\stl\_hash_map.h" />
    <ClInclude Include="..\..\stlport\stl\_hash_set.h" />
    <ClInclude Include="..\..\stlport\stl\_heap.h" />
    <ClInclude Include="..\..\stlport\stl\_iomanip.h" />
    <ClInclude Include="..\..\stlport\stl\_ios.h" />
    <ClInclude Include="..\..\stlport\stl\_ioserr.h" />
    <ClInclude Include="..\..\stlport\stl\_iosfwd.h" />
    <ClInclude Include="..\..\stlport\stl\_iostream_string.h" />
    <ClInclude Include="..\..\stlport\stl\_ios_base.h" />
    <ClInclude Include="..\..\stlport\stl\_istream.h" />
    <ClInclude Include="..\..\stlport\stl\_istreambuf_iterator.h" />
    <ClInclude Include="..\..\stlport\stl\_iterator.h" />
    <ClInclude Include="..\..\stlport\stl\_iterator_base.h" />
    <ClInclude Include="..\..\stlport\stl\_iterator_old.h" />
    <ClInclude Include="..\..\stlport\stl\_limits.h" />
    <ClInclude Include="..\..\stlport\stl\_list.h" />
    <ClInclude Include="..\..\stlport\stl\_locale.h" />
    <ClInclude Include="..\..\stlport\stl\_map.h" />
    <ClInclude Include="..\..\stlport\stl\_mbstate_t.h" />
    <ClInclude Include="..\..\stlport\stl\_messages_facets.h" />
    <ClInclude Include="..\..\stlport\stl\_monetary.h" />
    <ClInclude Include="..\..\stlport\stl\_move_construct_fwk.h" />
    <ClInclude Include="..\..\stlport\stl\_new.h" />
    <ClInclude Include="..\..\stlport\stl\_numeric.h" />
    <ClInclude Include="..\..\stlport\stl\_numpunct.h" />
    <ClInclude Include="..\..\stlport\stl\_num_get.h" />
    <ClInclude Include="..\..\stlport\stl\_num_put.h" />
    <ClInclude Include="..\..\stlport\stl\_ostream.h" />
    <ClInclude Include="..\..\stlport\stl\_ostreambuf_iterator.h" />
    <ClInclude Include="..\..\stlport\stl\_pair.h" />
    <ClInclude Include="..\..\stlport\stl\_prolog.h" />
    <ClInclude Include="..\..\stlport\stl\_pthread_alloc.h" />
    <ClInclude Include="..\..\stlport\stl\_ptrs_specialize.h" />
    <ClInclude Include="..\..\stlport\stl\_queue.h" />
    <ClInclude Include="..\..\stlport\stl\_range_errors.h" />
    <ClInclude Include="..\..\stlport\stl\_raw_storage_iter.h" />
    <ClInclude Include="..\..\stlport\stl\_relops_cont.h" />
    <ClInclude Include="..\..\stlport\stl\_relops_hash_cont.h" />
    <ClInclude Include="..\..\stlport\stl\_rope.h" />
    <ClInclude Include="..\..\stlport\stl\_set.h" />
    <ClInclude Include="..\..\stlport\stl\_slist.h" />
    <ClInclude Include="..\..\stlport\stl\_slist_base.h" />
    <ClInclude Include="..\..\stlport\stl\_sparc_atomic.h" />
    <ClInclude Include="..\..\stlport\stl\_sstream.h" />
    <ClInclude Include="..\..\stlport\stl\_stack.h" />
    <ClInclude Include="..\..\stlport\stl\_stdexcept.h" />
    <ClInclude Include="..\..\stlport\stl\_stdexcept_base.h" />
    <ClInclude Include="..\..\stlport\stl\_stlport_version.h" />
    <ClInclude Include="..\..\stlport\stl\_streambuf.h" />
    <ClInclude Include="..\..\stlport\stl\_stream_iterator.h" />
    <ClInclude Include="..\..\stlport\stl\_string.h" />
    <ClInclude Include="..\..\stlport\stl\_string_base.h" />
    <ClInclude Include="..\..\stlport\stl\_string_fwd.h" />
    <ClInclude Include="..\..\stlport\stl\_string_hash.h" />
    <ClInclude Include="..\..\stlport\stl\_string_io.h" />
    <ClInclude Include="..\..\stlport\stl\_string_npos.h" />
    <ClInclude Include="..\..\stlport\stl\_string_operators.h" />
    <ClInclude Include="..\..\stlport\stl\_string_sum.h" />
    <ClInclude Include="..\..\stlport\stl\_string_sum_methods.h" />
    <ClInclude Include="..\..\stlport\stl\_string_workaround.h" />
    <ClInclude Include="..\..\stlport\stl\_strstream.h" />
    <ClInclude Include="..\..\stlport\stl\_tempbuf.h" />
    <ClInclude Include="..\..\stlport\stl\_threads.h" />
    <ClInclude Include="..\..\stlport\stl\_time_facets.h" />
    <ClInclude Include="..\..\stlport\stl\_tree.h" />
    <ClInclude Include="..\..\stlport\stl\_typeinfo.h" />
    <ClInclude Include="..\..\stlport\stl\_uninitialized.h" />
    <ClInclude Include="..\..\stlport\stl\_unordered_map.h" />
    <ClInclude Include="..\..\stlport\stl\_unordered_set.h" />
    <ClInclude Include="..\..\stlport\stl\_valarray.h" />
    <ClInclude Include="..\..\stlport\stl\_vector.h" />
    <ClInclude Include="..\..\stlport\streambuf.h" />
    <ClInclude Include="..\..\stlport\string.h" />
    <ClInclude Include="..\..\stlport\strstream.h" />
    <ClInclude Include="..\..\stlport\time.h" />
    <ClInclude Include="..\..\stlport\typeinfo.h" />
    <ClInclude Include="..\..\stlport\using\h\fstream.h" />
    <ClInclude Include="..\..\stlport\using\h\iomanip.h" />
    <ClInclude Include="..\..\stlport\using\h\iostream.h" />
    <ClInclude Include="..\..\stlport\using\h\ostream.h" />
    <ClInclude Include="..\..\stlport\using\h\streambuf.h" />
    <ClInclude Include="..\..\stlport\using\h\strstream.h" />
    <ClInclude Include="..\..\stlport\wchar.h" />
    <ClInclude Include="..\..\stlport\wctype.h" />
  </ItemGroup>
  <ItemGroup>
    <None Include="..\..\stlport\algorithm" />
    <None Include="..\..\stlport\bitset" />
    <None Include="..\..\stlport\cassert" />
    <None Include="..\..\stlport\cctype" />
    <None Include="..\..\stlport\cerrno" />
    <None Include="..\..\stlport\cfloat" />
    <None Include="..\..\stlport\ciso646" />
    <None Include="..\..\stlport\climits" />
    <None Include="..\..\stlport\clocale" />
    <None Include="..\..\stlport\cmath" />
    <None Include="..\..\stlport\complex" />
    <None Include="..\..\stlport\csetjmp" />
    <None Include="..\..\stlport\csignal" />
    <None Include="..\..\stlport\cstdarg" />
    <None Include="..\..\stlport\cstddef" />
    <None Include="..\..\stlport\cstdio" />
    <None Include="..\..\stlport\cstdlib" />
    <None Include="..\..\stlport\cstring" />
    <None Include="..\..\stlport\ctime" />
    <None Include="..\..\stlport\cwchar" />
    <None Include="..\..\stlport\cwctype" />
    <None Include="..\..\stlport\deque" />
    <None Include="..\..\stlport\exception" />
    <None Include="..\..\stlport\fstream" />
    <None Include="..\..\stlport\functional" />
    <None Include="..\..\stlport\hash_map" />
    <None Include="..\..\stlport\hash_set" />
    <None Include="..\..\stlport\iomanip" />
    <None Include="..\..\stlport\ios" />
    <None Include="..\..\stlport\iosfwd" />
    <None Include="..\..\stlport\iostream" />
    <None Include="..\..\stlport\istream" />
    <None Include="..\..\stlport\iterator" />
    <None Include="..\..\stlport\limits" />
    <None Include="..\..\stlport\list" />
    <None Include="..\..\stlport\locale" />
    <None Include="..\..\stlport\map" />
    <None Include="..\..\stlport\memory" />
    <None Include="..\..\stlport\new" />
    <None Include="..\..\stlport\numeric" />
    <None Include="..\..\stlport\ostream" />
    <None Include="..\..\stlport\pthread_alloc" />
    <None Include="..\..\stlport\queue" />
    <None Include="..\..\stlport\rope" />
    <None Include="..\..\stlport\set" />
    <None Include="..\..\stlport\slist" />
    <None Include="..\..\stlport\sstream" />
    <None Include="..\..\stlport\stack" />
    <None Include="..\..\stlport\stdexcept" />
    <None Include="..\..\stlport\streambuf" />
    <None Include="..\..\stlport\string" />
    <None Include="..\..\stlport\strstream" />
    <None Include="..\..\stlport\typeinfo" />
    <None Include="..\..\stlport\type_traits" />
    <None Include="..\..\stlport\unordered_map" />
    <None Include="..\..\stlport\unordered_set" />
    <None Include="..\..\stlport\utility" />
    <None Include="..\..\stlport\valarray" />
    <None Include="..\..\stlport\vector" />
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{CB729638-6C1E-4AE7-8521-618E98A66A6F}</ProjectGuid>
    <RootNamespace>STLport</RootNamespace>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>Makefile</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>Makefile</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <NMakeReBuildCommandLine>cd $(ProjectDir)\..\..\build\lib
nmake clean install</NMakeReBuildCommandLine>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <NMakeCleanCommandLine>cd $(ProjectDir)\..\..\build\lib
nmake clean</NMakeCleanCommandLine>
    <NMakeBuildCommandLine>cd $(ProjectDir)\..\..\build\lib
nmake install</NMakeBuildCommandLine>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <NMakeBuildCommandLine>cd $(ProjectDir)\..\..\build\lib
nmake install</NMakeBuildCommandLine>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <NMakeReBuildCommandLine>cd $(ProjectDir)\..\..\build\lib
nmake clean install</NMakeReBuildCommandLine>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <NMakeCleanCommandLine>cd $(ProjectDir)\..\..\build\lib
nmake clean</NMakeCleanCommandLine>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
    </Link>
  </ItemDefinitionGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>